Package org.springframework.test.web

# Class ModelAndViewAssert

java.lang.Object
org.springframework.test.web.ModelAndViewAssert

public abstract class ModelAndViewAssert extends Object
A collection of assertions intended to simplify testing scenarios dealing with Spring Web MVC `ModelAndView` objects.

Intended for use with JUnit 4 and TestNG. All `assert*()` methods throw `AssertionErrors`.

Since:
  2.5
Author:
  Sam Brannen, Alef Arendsen, Bram Smeets
See Also:
  - `ModelAndView`

## Constructor Summary

Constructors
Constructor
Description
`ModelAndViewAssert()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`assertAndReturnModelAttributeOfType(org.springframework.web.servlet.ModelAndView mav, String modelName, Class<T> expectedType)`
Checks whether the model value under the given `modelName` exists and checks its type, based on the `expectedType`.
`static void`
`assertCompareListModelAttribute(org.springframework.web.servlet.ModelAndView mav, String modelName, List expectedList)`
Compare each individual entry in a list, without first sorting the lists.
`static void`
`assertModelAttributeAvailable(org.springframework.web.servlet.ModelAndView mav, String modelName)`
Assert whether a model attribute is available.
`static void`
`assertModelAttributeValue(org.springframework.web.servlet.ModelAndView mav, String modelName, Object expectedValue)`
Compare a given `expectedValue` to the value from the model bound under the given `modelName`.
`static void`
`assertModelAttributeValues(org.springframework.web.servlet.ModelAndView mav, Map<String,Object> expectedModel)`
Inspect the `expectedModel` to see if all elements in the model appear and are equal.
`static void`
`assertSortAndCompareListModelAttribute(org.springframework.web.servlet.ModelAndView mav, String modelName, List expectedList, Comparator comparator)`
Compare each individual entry in a list after having sorted both lists (optionally using a comparator).
`static void`
`assertViewName(org.springframework.web.servlet.ModelAndView mav, String expectedName)`
Check to see if the view name in the ModelAndView matches the given `expectedName`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelAndViewAssert

public ModelAndViewAssert()

## Method Details

### assertAndReturnModelAttributeOfType

public static <T> T assertAndReturnModelAttributeOfType(org.springframework.web.servlet.ModelAndView mav, String modelName, Class<T> expectedType)
Checks whether the model value under the given `modelName` exists and checks its type, based on the `expectedType`. If the model entry exists and the type matches, the model value is returned.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `modelName` - name of the object to add to the model (never `null`)
  `expectedType` - expected type of the model value
Returns:
  the model value

### assertCompareListModelAttribute

public static void assertCompareListModelAttribute(org.springframework.web.servlet.ModelAndView mav, String modelName, List expectedList)
Compare each individual entry in a list, without first sorting the lists.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `modelName` - name of the object to add to the model (never `null`)
  `expectedList` - the expected list

### assertModelAttributeAvailable

public static void assertModelAttributeAvailable(org.springframework.web.servlet.ModelAndView mav, String modelName)
Assert whether a model attribute is available.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `modelName` - name of the object to add to the model (never `null`)

### assertModelAttributeValue

public static void assertModelAttributeValue(org.springframework.web.servlet.ModelAndView mav, String modelName, Object expectedValue)
Compare a given `expectedValue` to the value from the model bound under the given `modelName`.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `modelName` - name of the object to add to the model (never `null`)
  `expectedValue` - the model value

### assertModelAttributeValues

public static void assertModelAttributeValues(org.springframework.web.servlet.ModelAndView mav, Map<String,Object> expectedModel)
Inspect the `expectedModel` to see if all elements in the model appear and are equal.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `expectedModel` - the expected model

### assertSortAndCompareListModelAttribute

public static void assertSortAndCompareListModelAttribute(org.springframework.web.servlet.ModelAndView mav, String modelName, List expectedList, Comparator comparator)
Compare each individual entry in a list after having sorted both lists (optionally using a comparator).

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `modelName` - name of the object to add to the model (never `null`)
  `expectedList` - the expected list
  `comparator` - the comparator to use (may be `null`). If not specifying the comparator, both lists will be sorted not using any comparator.

### assertViewName

public static void assertViewName(org.springframework.web.servlet.ModelAndView mav, String expectedName)
Check to see if the view name in the ModelAndView matches the given `expectedName`.

Parameters:
  `mav` - the ModelAndView to test against (never `null`)
  `expectedName` - the name of the model value